import { DataState,FieldInfo } from 'model-util-base'
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-09-24 13:17
 */
export interface MsK8sDeployment{
    /**
    * id
    * @type { string }
    */
    id?: string;
    /**
    * create_time
    * @type { Date }
    */
    createTime?: Date;
    /**
    * update_time
    * @type { Date }
    */
    updateTime?: Date;
    /**
    * state
    * @type { number }
    */
    state?: number;
    /**
    * k8sId
    * @type { string }
    */
    k8sId?: string;
    /**
    * namespace
    * @type { string }
    */
    namespace?: string;
    /**
    * envCode
    * @type { string }
    */
    envCode?: string;
    /**
    * deploymentId
    * @type { string }
    */
    deploymentId?: string;
    /**
    * content
    * @type { string }
    */
    content?: string;
}
export class MsK8sDeploymentMI{ 
    static get ID(): FieldInfo{  
        return new FieldInfo('id','id');
    }
    static get CREATE_TIME(): FieldInfo{  
        return new FieldInfo('createTime','create_time');
    }
    static get UPDATE_TIME(): FieldInfo{  
        return new FieldInfo('updateTime','update_time');
    }
    static get STATE(): FieldInfo{  
        return new FieldInfo('state','state');
    }
    static get K8S_ID(): FieldInfo{  
        return new FieldInfo('k8sId','k8sId');
    }
    static get NAMESPACE(): FieldInfo{  
        return new FieldInfo('namespace','namespace');
    }
    static get ENV_CODE(): FieldInfo{  
        return new FieldInfo('envCode','envCode');
    }
    static get DEPLOYMENT_ID(): FieldInfo{  
        return new FieldInfo('deploymentId','deploymentId');
    }
    static get CONTENT(): FieldInfo{  
        return new FieldInfo('content','content');
    }
}


/**
 * @author auto generate
 * @version 1.0
 * @date 2021-09-24 13:17
 */
export interface MsK8sPod{
    /**
    * id
    * @type { string }
    */
    id?: string;
    /**
    * create_time
    * @type { Date }
    */
    createTime?: Date;
    /**
    * update_time
    * @type { Date }
    */
    updateTime?: Date;
    /**
    * state
    * @type { number }
    */
    state?: number;
    /**
    * k8sId
    * @type { string }
    */
    k8sId?: string;
    /**
    * namespace
    * @type { string }
    */
    namespace?: string;
    /**
    * envCode
    * @type { string }
    */
    envCode?: string;
    /**
    * deploymentId
    * @type { string }
    */
    deploymentId?: string;
    /**
    * podId
    * @type { string }
    */
    podId?: string;
    /**
    * ip
    * @type { string }
    */
    ip?: string;
    /**
    * port
    * @type { number }
    */
    port?: number;
    /**
    * envMap
    * @type { string }
    */
    envMap?: string;
    /**
    * content
    * @type { string }
    */
    content?: string;
}
export class MsK8sPodMI{ 
    static get ID(): FieldInfo{  
        return new FieldInfo('id','id');
    }
    static get CREATE_TIME(): FieldInfo{  
        return new FieldInfo('createTime','create_time');
    }
    static get UPDATE_TIME(): FieldInfo{  
        return new FieldInfo('updateTime','update_time');
    }
    static get STATE(): FieldInfo{  
        return new FieldInfo('state','state');
    }
    static get K8S_ID(): FieldInfo{  
        return new FieldInfo('k8sId','k8sId');
    }
    static get NAMESPACE(): FieldInfo{  
        return new FieldInfo('namespace','namespace');
    }
    static get ENV_CODE(): FieldInfo{  
        return new FieldInfo('envCode','envCode');
    }
    static get DEPLOYMENT_ID(): FieldInfo{  
        return new FieldInfo('deploymentId','deploymentId');
    }
    static get POD_ID(): FieldInfo{  
        return new FieldInfo('podId','podId');
    }
    static get IP(): FieldInfo{  
        return new FieldInfo('ip','ip');
    }
    static get PORT(): FieldInfo{  
        return new FieldInfo('port','port');
    }
    static get ENV_MAP(): FieldInfo{  
        return new FieldInfo('envMap','envMap');
    }
    static get CONTENT(): FieldInfo{  
        return new FieldInfo('content','content');
    }
}


/**
 * @author auto generate
 * @version 1.0
 * @date 2021-09-24 13:17
 */
export interface MsRunning{
    /**
    * id
    * @type { string }
    */
    id?: string;
    /**
    * create_time
    * @type { Date }
    */
    createTime?: Date;
    /**
    * update_time
    * @type { Date }
    */
    updateTime?: Date;
    /**
    * state
    * @type { number }
    */
    state?: number;
    /**
    * projectId
    * @type { string }
    */
    projectId?: string;
    /**
    * 部署id
    * @type { string }
    */
    deployId?: string;
    /**
    * 项目代码
    * @type { string }
    */
    pid?: string;
    /**
    * 项目版本
    * @type { string }
    */
    projectVersion?: string;
    /**
    * 是否默认版本
    * @type { boolean }
    */
    defaultVersion?: boolean;
    /**
    * 端口
    * @type { number }
    */
    port?: number;
    /**
    * authType
    * @type { number }
    */
    authType?: number;
    /**
    * 环境类型: dev/test/prod
    * @type { string }
    */
    env?: string;
    /**
    * 环境代码
    * @type { string }
    */
    envCode?: string;
    /**
    * 容器id
    * @type { string }
    */
    podId?: string;
    /**
    * K8S ID
    * @type { string }
    */
    k8sId?: string;
}
export class MsRunningMI{ 
    static get ID(): FieldInfo{  
        return new FieldInfo('id','id');
    }
    static get CREATE_TIME(): FieldInfo{  
        return new FieldInfo('createTime','create_time');
    }
    static get UPDATE_TIME(): FieldInfo{  
        return new FieldInfo('updateTime','update_time');
    }
    static get STATE(): FieldInfo{  
        return new FieldInfo('state','state');
    }
    static get PROJECT_ID(): FieldInfo{  
        return new FieldInfo('projectId','projectId');
    }
    static get DEPLOY_ID(): FieldInfo{  
        return new FieldInfo('deployId','部署id');
    }
    static get PID(): FieldInfo{  
        return new FieldInfo('pid','项目代码');
    }
    static get PROJECT_VERSION(): FieldInfo{  
        return new FieldInfo('projectVersion','项目版本');
    }
    static get DEFAULT_VERSION(): FieldInfo{  
        return new FieldInfo('defaultVersion','是否默认版本');
    }
    static get PORT(): FieldInfo{  
        return new FieldInfo('port','端口');
    }
    static get AUTH_TYPE(): FieldInfo{  
        return new FieldInfo('authType','authType');
    }
    static get ENV(): FieldInfo{  
        return new FieldInfo('env','环境类型: dev/test/prod');
    }
    static get ENV_CODE(): FieldInfo{  
        return new FieldInfo('envCode','环境代码');
    }
    static get POD_ID(): FieldInfo{  
        return new FieldInfo('podId','容器id');
    }
    static get K8S_ID(): FieldInfo{  
        return new FieldInfo('k8sId','K8S ID');
    }
}


/**
 * @author auto generate
 * @version 1.0
 * @date 2021-09-24 13:17
 */
export interface MsRunningTarget{
    /**
    * id
    * @type { string }
    */
    id?: string;
    /**
    * 項目ID
    * @type { string }
    */
    projectId?: string;
    /**
    * 项目pid
    * @type { string }
    */
    pid?: string;
    /**
    * 项目版本
    * @type { string }
    */
    projectVersion?: string;
    /**
    * 项目版本ID
    * @type { string }
    */
    projectVersionId?: string;
    /**
    * 服务提供者所处位置（InsideNet或K8sCluster）
    * @type { string }
    */
    msLocation?: string;
    /**
    * 网关地址
    * @type { string }
    */
    gatewayUrl?: string;
    /**
    * 关联配置
    * @type { string }
    */
    configRequires?: string;
    /**
    * 主机ip
    * @type { string }
    */
    host?: string;
    /**
    * 端口
    * @type { string }
    */
    port?: string;
    /**
    * 权重
    * @type { string }
    */
    weight?: string;
    /**
    * 环境类型: dev/test/prod
    * @type { string }
    */
    env?: string;
    /**
    * 环境代码
    * @type { string }
    */
    envCode?: string;
    /**
    * 区域
    * @type { number }
    */
    areaId?: number;
    /**
    * 是否健康: 0：未知， 1：健康，-1：不健康
    * @type { number }
    */
    health?: number;
    /**
    * 主机最后活动时间戳
    * @type { Date }
    */
    lastActiveTime?: Date;
    /**
    * 主机最后轮询时间戳
    * @type { Date }
    */
    lastPollingTime?: Date;
    /**
    * 部署id
    * @type { string }
    */
    deployId?: string;
    /**
    * 容器id
    * @type { string }
    */
    podId?: string;
    /**
    * K8S ID
    * @type { string }
    */
    k8sId?: string;
    /**
    * create_time
    * @type { Date }
    */
    createTime?: Date;
    /**
    * update_time
    * @type { Date }
    */
    updateTime?: Date;
    /**
    * state
    * @type { number }
    */
    state?: number;
}
export class MsRunningTargetMI{ 
    static get ID(): FieldInfo{  
        return new FieldInfo('id','id');
    }
    static get PROJECT_ID(): FieldInfo{  
        return new FieldInfo('projectId','項目ID');
    }
    static get PID(): FieldInfo{  
        return new FieldInfo('pid','项目pid');
    }
    static get PROJECT_VERSION(): FieldInfo{  
        return new FieldInfo('projectVersion','项目版本');
    }
    static get PROJECT_VERSION_ID(): FieldInfo{  
        return new FieldInfo('projectVersionId','项目版本ID');
    }
    static get MS_LOCATION(): FieldInfo{  
        return new FieldInfo('msLocation','服务提供者所处位置（InsideNet或K8sCluster）');
    }
    static get GATEWAY_URL(): FieldInfo{  
        return new FieldInfo('gatewayUrl','网关地址');
    }
    static get CONFIG_REQUIRES(): FieldInfo{  
        return new FieldInfo('configRequires','关联配置');
    }
    static get HOST(): FieldInfo{  
        return new FieldInfo('host','主机ip');
    }
    static get PORT(): FieldInfo{  
        return new FieldInfo('port','端口');
    }
    static get WEIGHT(): FieldInfo{  
        return new FieldInfo('weight','权重');
    }
    static get ENV(): FieldInfo{  
        return new FieldInfo('env','环境类型: dev/test/prod');
    }
    static get ENV_CODE(): FieldInfo{  
        return new FieldInfo('envCode','环境代码');
    }
    static get AREA_ID(): FieldInfo{  
        return new FieldInfo('areaId','区域');
    }
    static get HEALTH(): FieldInfo{  
        return new FieldInfo('health','是否健康: 0：未知， 1：健康，-1：不健康');
    }
    static get LAST_ACTIVE_TIME(): FieldInfo{  
        return new FieldInfo('lastActiveTime','主机最后活动时间戳');
    }
    static get LAST_POLLING_TIME(): FieldInfo{  
        return new FieldInfo('lastPollingTime','主机最后轮询时间戳');
    }
    static get DEPLOY_ID(): FieldInfo{  
        return new FieldInfo('deployId','部署id');
    }
    static get POD_ID(): FieldInfo{  
        return new FieldInfo('podId','容器id');
    }
    static get K8S_ID(): FieldInfo{  
        return new FieldInfo('k8sId','K8S ID');
    }
    static get CREATE_TIME(): FieldInfo{  
        return new FieldInfo('createTime','create_time');
    }
    static get UPDATE_TIME(): FieldInfo{  
        return new FieldInfo('updateTime','update_time');
    }
    static get STATE(): FieldInfo{  
        return new FieldInfo('state','state');
    }
}


/**
 * @author auto generate
 * @version 1.0
 * @date 2021-09-24 13:17
 */
export interface BeMsDeployChangeHistory{
    /**
    * 主键
    * @type { string }
    */
    id?: string;
    /**
    * 部署配置ID
    * @type { string }
    */
    deployId?: string;
    /**
    * 基础镜像描述
    * @type { string }
    */
    basicImageDesc?: string;
    /**
    * 部署规格描述
    * @type { string }
    */
    deployTemplateDesc?: string;
    /**
    * 部署YMAL
    * @type { string }
    */
    deployYmal?: string;
    /**
    * 版本号
    * @type { string }
    */
    versionNo?: string;
    /**
    * 创建时间
    * @type { Date }
    */
    createTime?: Date;
    /**
    * 更新时间
    * @type { Date }
    */
    updateTime?: Date;
}
export class BeMsDeployChangeHistoryMI{ 
    static get ID(): FieldInfo{  
        return new FieldInfo('id','主键');
    }
    static get DEPLOY_ID(): FieldInfo{  
        return new FieldInfo('deployId','部署配置ID');
    }
    static get BASIC_IMAGE_DESC(): FieldInfo{  
        return new FieldInfo('basicImageDesc','基础镜像描述');
    }
    static get DEPLOY_TEMPLATE_DESC(): FieldInfo{  
        return new FieldInfo('deployTemplateDesc','部署规格描述');
    }
    static get DEPLOY_YMAL(): FieldInfo{  
        return new FieldInfo('deployYmal','部署YMAL');
    }
    static get VERSION_NO(): FieldInfo{  
        return new FieldInfo('versionNo','版本号');
    }
    static get CREATE_TIME(): FieldInfo{  
        return new FieldInfo('createTime','创建时间');
    }
    static get UPDATE_TIME(): FieldInfo{  
        return new FieldInfo('updateTime','更新时间');
    }
}


/**
 * @author auto generate
 * @version 1.0
 * @date 2021-09-24 13:17
 */
export interface PrjDeployConf{
    /**
    * 主键
    * @type { string }
    */
    id?: string;
    /**
    * project_id
    * @type { string }
    */
    projectId?: string;
    /**
    * 项目服务ID
    * @type { string }
    */
    pid?: string;
    /**
    * 主版本
    * @type { number }
    */
    major?: number;
    /**
    * 次版本号
    * @type { string }
    */
    minorVersionNo?: string;
    /**
    * revision版本号
    * @type { string }
    */
    versionNo?: string;
    /**
    * 次版本ID
    * @type { string }
    */
    minorVersionId?: string;
    /**
    * 修订版本ID
    * @type { string }
    */
    revisionVersionId?: string;
    /**
    * 环境ID
    * @type { string }
    */
    envId?: string;
    /**
    * 环境代码
    * @type { string }
    */
    envCode?: string;
    /**
    * TEST、PROD
    * @type { string }
    */
    envType?: string;
    /**
    * default_version
    * @type { boolean }
    */
    defaultVersion?: boolean;
    /**
    * 0:手动、1:自动
    * @type { string }
    */
    deployMethod?: string;
    /**
    * 日志模板ID
    * @type { string }
    */
    logConfigTemplateId?: string;
    /**
    * instance_cpu
    * @type { number }
    */
    instanceCpu?: number;
    /**
    * instance_memory
    * @type { number }
    */
    instanceMemory?: number;
    /**
    * min_instance
    * @type { number }
    */
    minInstance?: number;
    /**
    * max_instance
    * @type { number }
    */
    maxInstance?: number;
    /**
    * 运行状态
    * @type { number }
    */
    runStatus?: number;
    /**
    * 部署状态
    * @type { number }
    */
    deployStatus?: number;
    /**
    * 部署信息,日志描述
    * @type { string }
    */
    deployMsg?: string;
    /**
    * 部署参数
    * @type { string }
    */
    deployParameters?: string;
    /**
    * 环境变量
    * @type { string }
    */
    envVariable?: string;
    /**
    * 项目commitId
    * @type { string }
    */
    commitId?: string;
    /**
    * 项目Tag
    * @type { string }
    */
    commitTag?: string;
    /**
    * K8S集群配置ID
    * @type { string }
    */
    k8sId?: string;
    /**
    * Kafka配置ID
    * @type { string }
    */
    kafkaId?: string;
    /**
    * K8S 配置
    * @type { string }
    */
    k8sConfig?: string;
    /**
    * Kafka配置
    * @type { string }
    */
    kafkaConfig?: string;
    /**
    * 日志配置
    * @type { string }
    */
    logConfig?: string;
    /**
    * prj_type
    * @type { string }
    */
    prjType?: string;
    /**
    * app_options_config
    * @type { string }
    */
    appOptionsConfig?: string;
    /**
    * k8s_cluster_id
    * @type { string }
    */
    k8sClusterId?: string;
    /**
    * metrics_template_id
    * @type { string }
    */
    metricsTemplateId?: string;
    /**
    * 订阅id
    * @type { string }
    */
    subscriptionId?: string;
    /**
    * create_time
    * @type { Date }
    */
    createTime?: Date;
    /**
    * update_time
    * @type { Date }
    */
    updateTime?: Date;
    /**
    * 修改人ID
    * @type { string }
    */
    updateUserId?: string;
    /**
    * 创建人ID
    * @type { string }
    */
    createUserId?: string;
}
export class PrjDeployConfMI{ 
    static get ID(): FieldInfo{  
        return new FieldInfo('id','主键');
    }
    static get PROJECT_ID(): FieldInfo{  
        return new FieldInfo('projectId','project_id');
    }
    static get PID(): FieldInfo{  
        return new FieldInfo('pid','项目服务ID');
    }
    static get MAJOR(): FieldInfo{  
        return new FieldInfo('major','主版本');
    }
    static get MINOR_VERSION_NO(): FieldInfo{  
        return new FieldInfo('minorVersionNo','次版本号');
    }
    static get VERSION_NO(): FieldInfo{  
        return new FieldInfo('versionNo','revision版本号');
    }
    static get MINOR_VERSION_ID(): FieldInfo{  
        return new FieldInfo('minorVersionId','次版本ID');
    }
    static get REVISION_VERSION_ID(): FieldInfo{  
        return new FieldInfo('revisionVersionId','修订版本ID');
    }
    static get ENV_ID(): FieldInfo{  
        return new FieldInfo('envId','环境ID');
    }
    static get ENV_CODE(): FieldInfo{  
        return new FieldInfo('envCode','环境代码');
    }
    static get ENV_TYPE(): FieldInfo{  
        return new FieldInfo('envType','TEST、PROD');
    }
    static get DEFAULT_VERSION(): FieldInfo{  
        return new FieldInfo('defaultVersion','default_version');
    }
    static get DEPLOY_METHOD(): FieldInfo{  
        return new FieldInfo('deployMethod','0:手动、1:自动');
    }
    static get LOG_CONFIG_TEMPLATE_ID(): FieldInfo{  
        return new FieldInfo('logConfigTemplateId','日志模板ID');
    }
    static get INSTANCE_CPU(): FieldInfo{  
        return new FieldInfo('instanceCpu','instance_cpu');
    }
    static get INSTANCE_MEMORY(): FieldInfo{  
        return new FieldInfo('instanceMemory','instance_memory');
    }
    static get MIN_INSTANCE(): FieldInfo{  
        return new FieldInfo('minInstance','min_instance');
    }
    static get MAX_INSTANCE(): FieldInfo{  
        return new FieldInfo('maxInstance','max_instance');
    }
    static get RUN_STATUS(): FieldInfo{  
        return new FieldInfo('runStatus','运行状态');
    }
    static get DEPLOY_STATUS(): FieldInfo{  
        return new FieldInfo('deployStatus','部署状态');
    }
    static get DEPLOY_MSG(): FieldInfo{  
        return new FieldInfo('deployMsg','部署信息,日志描述');
    }
    static get DEPLOY_PARAMETERS(): FieldInfo{  
        return new FieldInfo('deployParameters','部署参数');
    }
    static get ENV_VARIABLE(): FieldInfo{  
        return new FieldInfo('envVariable','环境变量');
    }
    static get COMMIT_ID(): FieldInfo{  
        return new FieldInfo('commitId','项目commitId');
    }
    static get COMMIT_TAG(): FieldInfo{  
        return new FieldInfo('commitTag','项目Tag');
    }
    static get K8S_ID(): FieldInfo{  
        return new FieldInfo('k8sId','K8S集群配置ID');
    }
    static get KAFKA_ID(): FieldInfo{  
        return new FieldInfo('kafkaId','Kafka配置ID');
    }
    static get K8S_CONFIG(): FieldInfo{  
        return new FieldInfo('k8sConfig','K8S 配置');
    }
    static get KAFKA_CONFIG(): FieldInfo{  
        return new FieldInfo('kafkaConfig','Kafka配置');
    }
    static get LOG_CONFIG(): FieldInfo{  
        return new FieldInfo('logConfig','日志配置');
    }
    static get PRJ_TYPE(): FieldInfo{  
        return new FieldInfo('prjType','prj_type');
    }
    static get APP_OPTIONS_CONFIG(): FieldInfo{  
        return new FieldInfo('appOptionsConfig','app_options_config');
    }
    static get K8S_CLUSTER_ID(): FieldInfo{  
        return new FieldInfo('k8sClusterId','k8s_cluster_id');
    }
    static get METRICS_TEMPLATE_ID(): FieldInfo{  
        return new FieldInfo('metricsTemplateId','metrics_template_id');
    }
    static get SUBSCRIPTION_ID(): FieldInfo{  
        return new FieldInfo('subscriptionId','订阅id');
    }
    static get CREATE_TIME(): FieldInfo{  
        return new FieldInfo('createTime','create_time');
    }
    static get UPDATE_TIME(): FieldInfo{  
        return new FieldInfo('updateTime','update_time');
    }
    static get UPDATE_USER_ID(): FieldInfo{  
        return new FieldInfo('updateUserId','修改人ID');
    }
    static get CREATE_USER_ID(): FieldInfo{  
        return new FieldInfo('createUserId','创建人ID');
    }
}


/**
 * @author auto generate
 * @version 1.0
 * @date 2021-09-24 13:17
 */
export interface BeMsDeployStatusLog{
    /**
    * 主键
    * @type { string }
    */
    id?: string;
    /**
    * 部署配置ID
    * @type { string }
    */
    deployId?: string;
    /**
    * POD_ID
    * @type { string }
    */
    podId?: string;
    /**
    * IP
    * @type { string }
    */
    ip?: string;
    /**
    * 00:正常，01：异常
    * @type { string }
    */
    status?: string;
    /**
    * 环境代码
    * @type { string }
    */
    envCode?: string;
    /**
    * 重启次数
    * @type { number }
    */
    restartTotal?: number;
    /**
    * 版本号
    * @type { string }
    */
    versionNo?: string;
    /**
    * 创建时间
    * @type { Date }
    */
    createTime?: Date;
    /**
    * 更新时间
    * @type { Date }
    */
    updateTime?: Date;
    /**
    * phase
    * @type { string }
    */
    phase?: string;
}
export class BeMsDeployStatusLogMI{ 
    static get ID(): FieldInfo{  
        return new FieldInfo('id','主键');
    }
    static get DEPLOY_ID(): FieldInfo{  
        return new FieldInfo('deployId','部署配置ID');
    }
    static get POD_ID(): FieldInfo{  
        return new FieldInfo('podId','POD_ID');
    }
    static get IP(): FieldInfo{  
        return new FieldInfo('ip','IP');
    }
    static get STATUS(): FieldInfo{  
        return new FieldInfo('status','00:正常，01：异常');
    }
    static get ENV_CODE(): FieldInfo{  
        return new FieldInfo('envCode','环境代码');
    }
    static get RESTART_TOTAL(): FieldInfo{  
        return new FieldInfo('restartTotal','重启次数');
    }
    static get VERSION_NO(): FieldInfo{  
        return new FieldInfo('versionNo','版本号');
    }
    static get CREATE_TIME(): FieldInfo{  
        return new FieldInfo('createTime','创建时间');
    }
    static get UPDATE_TIME(): FieldInfo{  
        return new FieldInfo('updateTime','更新时间');
    }
    static get PHASE(): FieldInfo{  
        return new FieldInfo('phase','phase');
    }
}


/**
 * @author auto generate
 * @version 1.0
 * @date 2021-09-24 13:17
 */
export interface MsDeployLog{
    /**
    * id
    * @type { string }
    */
    id?: string;
    /**
    * create_time
    * @type { Date }
    */
    createTime?: Date;
    /**
    * update_time
    * @type { Date }
    */
    updateTime?: Date;
    /**
    * state
    * @type { number }
    */
    state?: number;
    /**
    * projectId
    * @type { string }
    */
    projectId?: string;
    /**
    * prjCommitId
    * @type { string }
    */
    prjCommitId?: string;
    /**
    * buildTag
    * @type { string }
    */
    buildTag?: string;
    /**
    * appName
    * @type { string }
    */
    appName?: string;
    /**
    * 部署配置id
    * @type { string }
    */
    deployId?: string;
    /**
    * pid
    * @type { string }
    */
    pid?: string;
    /**
    * envType
    * @type { string }
    */
    envType?: string;
    /**
    * envCode
    * @type { string }
    */
    envCode?: string;
    /**
    * namespaceK8s
    * @type { string }
    */
    namespaceK8s?: string;
    /**
    * k8sClusterId
    * @type { string }
    */
    k8sClusterId?: string;
    /**
    * projectVersionId
    * @type { string }
    */
    projectVersionId?: string;
    /**
    * versionNo
    * @type { string }
    */
    versionNo?: string;
    /**
    * 镜像仓库完整地址
    * @type { string }
    */
    image?: string;
    /**
    * k8s-deployment名称
    * @type { string }
    */
    k8sDeployment?: string;
    /**
    * k8s-deployment滚动升级tag
    * @type { number }
    */
    k8sDeploymentTag?: number;
    /**
    * cpu：最小0.5最大64
    * @type { string }
    */
    cpu?: string;
    /**
    * 内存: 单位-GiB, 最小0.5,最大256"
    * @type { string }
    */
    memory?: string;
    /**
    * 服务暴露端口
    * @type { number }
    */
    servicePort?: number;
    /**
    * 容器内部端口
    * @type { number }
    */
    containerPort?: number;
    /**
    * 初始副本数
    * @type { number }
    */
    replicas?: number;
    /**
    * 最大副本数
    * @type { number }
    */
    replicasMax?: number;
    /**
    * 启动命令
    * @type { string }
    */
    startCmdLine?: string;
    /**
    * 启动参数
    * @type { string }
    */
    startParams?: string;
    /**
    * 环境变量json
    * @type { string }
    */
    envJson?: string;
    /**
    * kafka主机
    * @type { string }
    */
    kafkaHosts?: string;
    /**
    * kafka-topic
    * @type { string }
    */
    kafkaTopic?: string;
    /**
    * deployStatus
    * @type { number }
    */
    deployStatus?: number;
    /**
    * 部署信息
    * @type { string }
    */
    deployMsg?: string;
    /**
    * k8sConfig
    * @type { string }
    */
    k8sConfig?: string;
    /**
    * imageServiceConfig
    * @type { string }
    */
    imageServiceConfig?: string;
    /**
    * kafkaConfig
    * @type { string }
    */
    kafkaConfig?: string;
    /**
    * logConfigTemplateId
    * @type { string }
    */
    logConfigTemplateId?: string;
    /**
    * logConfig
    * @type { string }
    */
    logConfig?: string;
    /**
    * envConfigRefId
    * @type { string }
    */
    envConfigRefId?: string;
}
export class MsDeployLogMI{ 
    static get ID(): FieldInfo{  
        return new FieldInfo('id','id');
    }
    static get CREATE_TIME(): FieldInfo{  
        return new FieldInfo('createTime','create_time');
    }
    static get UPDATE_TIME(): FieldInfo{  
        return new FieldInfo('updateTime','update_time');
    }
    static get STATE(): FieldInfo{  
        return new FieldInfo('state','state');
    }
    static get PROJECT_ID(): FieldInfo{  
        return new FieldInfo('projectId','projectId');
    }
    static get PRJ_COMMIT_ID(): FieldInfo{  
        return new FieldInfo('prjCommitId','prjCommitId');
    }
    static get BUILD_TAG(): FieldInfo{  
        return new FieldInfo('buildTag','buildTag');
    }
    static get APP_NAME(): FieldInfo{  
        return new FieldInfo('appName','appName');
    }
    static get DEPLOY_ID(): FieldInfo{  
        return new FieldInfo('deployId','部署配置id');
    }
    static get PID(): FieldInfo{  
        return new FieldInfo('pid','pid');
    }
    static get ENV_TYPE(): FieldInfo{  
        return new FieldInfo('envType','envType');
    }
    static get ENV_CODE(): FieldInfo{  
        return new FieldInfo('envCode','envCode');
    }
    static get NAMESPACE_K8S(): FieldInfo{  
        return new FieldInfo('namespaceK8s','namespaceK8s');
    }
    static get K8S_CLUSTER_ID(): FieldInfo{  
        return new FieldInfo('k8sClusterId','k8sClusterId');
    }
    static get PROJECT_VERSION_ID(): FieldInfo{  
        return new FieldInfo('projectVersionId','projectVersionId');
    }
    static get VERSION_NO(): FieldInfo{  
        return new FieldInfo('versionNo','versionNo');
    }
    static get IMAGE(): FieldInfo{  
        return new FieldInfo('image','镜像仓库完整地址');
    }
    static get K8S_DEPLOYMENT(): FieldInfo{  
        return new FieldInfo('k8sDeployment','k8s-deployment名称');
    }
    static get K8S_DEPLOYMENT_TAG(): FieldInfo{  
        return new FieldInfo('k8sDeploymentTag','k8s-deployment滚动升级tag');
    }
    static get CPU(): FieldInfo{  
        return new FieldInfo('cpu','cpu：最小0.5最大64');
    }
    static get MEMORY(): FieldInfo{  
        return new FieldInfo('memory','内存: 单位-GiB, 最小0.5,最大256"');
    }
    static get SERVICE_PORT(): FieldInfo{  
        return new FieldInfo('servicePort','服务暴露端口');
    }
    static get CONTAINER_PORT(): FieldInfo{  
        return new FieldInfo('containerPort','容器内部端口');
    }
    static get REPLICAS(): FieldInfo{  
        return new FieldInfo('replicas','初始副本数');
    }
    static get REPLICAS_MAX(): FieldInfo{  
        return new FieldInfo('replicasMax','最大副本数');
    }
    static get START_CMD_LINE(): FieldInfo{  
        return new FieldInfo('startCmdLine','启动命令');
    }
    static get START_PARAMS(): FieldInfo{  
        return new FieldInfo('startParams','启动参数');
    }
    static get ENV_JSON(): FieldInfo{  
        return new FieldInfo('envJson','环境变量json');
    }
    static get KAFKA_HOSTS(): FieldInfo{  
        return new FieldInfo('kafkaHosts','kafka主机');
    }
    static get KAFKA_TOPIC(): FieldInfo{  
        return new FieldInfo('kafkaTopic','kafka-topic');
    }
    static get DEPLOY_STATUS(): FieldInfo{  
        return new FieldInfo('deployStatus','deployStatus');
    }
    static get DEPLOY_MSG(): FieldInfo{  
        return new FieldInfo('deployMsg','部署信息');
    }
    static get K8S_CONFIG(): FieldInfo{  
        return new FieldInfo('k8sConfig','k8sConfig');
    }
    static get IMAGE_SERVICE_CONFIG(): FieldInfo{  
        return new FieldInfo('imageServiceConfig','imageServiceConfig');
    }
    static get KAFKA_CONFIG(): FieldInfo{  
        return new FieldInfo('kafkaConfig','kafkaConfig');
    }
    static get LOG_CONFIG_TEMPLATE_ID(): FieldInfo{  
        return new FieldInfo('logConfigTemplateId','logConfigTemplateId');
    }
    static get LOG_CONFIG(): FieldInfo{  
        return new FieldInfo('logConfig','logConfig');
    }
    static get ENV_CONFIG_REF_ID(): FieldInfo{  
        return new FieldInfo('envConfigRefId','envConfigRefId');
    }
}


